
QGIS Application - Feature request #5319

Performance issues with new symbology and levels

2012-04-05 04:29 AM - cremat0rio -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 15022

Description

I'm using QGis 1.7.3 (the same happens on 1.7.1).

With a polygon layer, and the new symbology with levels, QGis gets very slow and only uses one thread (it seems so), wich is strange

nowadays with multicore processors.

History

#1 - 2012-04-05 04:32 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of #3388

#2 - 2012-04-05 04:35 AM - Giovanni Manghi

- Resolution deleted (duplicate)

- Status changed from Closed to Feedback

sorry I didn't see that #3388 was already closed. Anyway you will need to provide sample data and further information to allow investigate if/where there is

an issue.

#3 - 2012-04-09 09:37 AM - cremat0rio -

Sorry, there's no issue.

Horizontal placement, in "Layer labeling settings", was inadvertently selected.

Sorry.

#4 - 2012-04-09 09:39 AM - Giovanni Manghi

cremat0rio - wrote:

Sorry, there's no issue.

Horizontal placement, in "Layer labeling settings", was inadvertently selected.

Sorry.

so the issue is in labelling?
#5 - 2012-04-09 10:09 AM - cremat0rio -

Going to Labeling -> Advanced -> Placement, there are various options.

"Horizontal" specifically states "slow".

So this is not a bug, maybe a feature request.

#6 - 2012-04-10 02:47 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

cremat0rio - wrote:

Going to Labeling -> Advanced -> Placement, there are various options.

"Horizontal" specifically states "slow".

So this is not a bug, maybe a feature request.

work is being done to make labelling faster, especially with polygons.
